;; required package fluff
(require 'package)
(setq package-enable-at-startup nil)
(add-to-list 'package-archives
	     '("melpa" . "http://melpa.milkbox.net/packages/") t)

(package-initialize)

(unless (package-installed-p 'use-package)
  (package-refresh-contents)
  (package-install 'use-package))

(unless (package-installed-p 'spacemacs-theme)
  (package-refresh-contents)
  (package-install 'spacemacs-theme))



;; org-babel won't compile these sometimes?
(if (file-newer-than-file-p "~/.emacs.d/config.org" "~/.emacs.d/config.el")
    (org-babel-load-file "~/.emacs.d/config.org")
  (load "~/.emacs.d/config.el"))

;; Stuff generated by emacs
(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(TeX-engine (quote xetex))
 '(company-idle-delay 0)
 '(company-minimum-prefix-length 3)
 '(custom-enabled-themes (quote (spacemacs-dark)))
 '(custom-safe-themes
   (quote
    ("bffa9739ce0752a37d9b1eee78fc00ba159748f50dc328af4be661484848e476" default)))
 '(dashboard-banner-logo-title "Komacs")
 '(dashboard-center-content t)
 '(dashboard-items (quote ((recents . 5))))
 '(dashboard-set-init-info t)
 '(dashboard-show-shortcuts nil)
 '(dashboard-startup-banner "~/.emacs.d/Komacs.png")
 '(ido-vertical-define-keys (quote C-n-and-C-p-only))
 '(nginx-indent-level 2)
 '(nginx-indent-tabs-mode t)
 '(package-selected-packages
   (quote
    (alchemist elixir-mode nginx-mode ac-js2 pdf-tools yasnippet-snippets which-key use-package symon switch-window spacemacs-theme spaceline slime-company popup-kill-ring omnisharp keychain-environment js2-mode ido-vertical-mode hungry-delete exwm diminish dashboard company-auctex beacon avy)))
 '(slime-lisp-implementations
   (quote
    ((sbcl
      ("sbcl" "--core" "/usr/lib64/sbcl/sbcl.core")
      :env
      ("SBCL_HOME=/usr/lib64/sbcl/")))) t)
 '(switch-window-increase 4 t)
 '(switch-window-input-style (quote minibuffer) t)
 '(switch-window-threshold 2 t))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(default ((t (:inherit nil :stipple nil :background "#292b2e" :foreground "#b2b2b2" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 110 :width normal :foundry "unknown" :family "DejaVu Sans Mono")))))
